summaryrefslogtreecommitdiff
path: root/project
diff options
context:
space:
mode:
authormidipix <writeonce@midipix.org>2018-12-21 03:27:43 -0500
committermidipix <writeonce@midipix.org>2018-12-21 22:02:14 -0500
commitddc3c4e95c436d886d6315afef203eb0ef0e908b (patch)
tree85e453247b611635e618464ad1aa63ec02234eef /project
parent533f5d8cf6f25f545d18c053f14fd79734b47aa5 (diff)
downloadsbpython3-ddc3c4e95c436d886d6315afef203eb0ef0e908b.tar.bz2
sbpython3-ddc3c4e95c436d886d6315afef203eb0ef0e908b.tar.xz
project: custom config: wrap test sections with (set +e) / (set -e).
Diffstat (limited to 'project')
-rw-r--r--project/config/cfgdefs.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/project/config/cfgdefs.sh b/project/config/cfgdefs.sh
index 615f740..2c7a3a6 100644
--- a/project/config/cfgdefs.sh
+++ b/project/config/cfgdefs.sh
@@ -305,11 +305,17 @@ cfgdefs_detect_python_version
# cfgdefs.in --> cfgdefs.mk
cfgdefs_output_custom_defs
+# strict: some tests might fail
+set +e
+
# target-specific tests
cfgdefs_perform_target_tests
# native system tests
cfgdefs_perform_native_tests
+# strict: restore mode
+set -e
+
# all done
return 0